<template>
    <div
        v-if="data"
        :key="data.id"
        class="discount-group edit__set_block"
    >
        <div>
            <b>Discount</b>
        </div>
        <div class="discount row px-3">
            <div class="discount__type">
                <div class="form-content-title">
                    <b>Type</b>
                </div>
                <b-select
                    v-model="data.automatic_discount_enabled"
                    class="form-control"
                    style="background-color: white"
                    @change="checkChanged('automatic_discount_enabled')"
                >
                    <option :value="true">
                        Automatic
                    </option>
                    <option :value="false">
                        Pre-made
                    </option>
                </b-select>
            </div>
            <div
                v-if="!data.automatic_discount_enabled"
                class="discount__content"
            >
                <div class="mr-3"> 
                    <div class="form-content-title">
                        <b>Discount code</b>
                    </div>
                    <b-form-group>
                        <b-form-input
                            v-model="data[keyCodeName]"
                            :name="keyCodeName"
                            class="my-input my-short-input"
                            type="text"
                            @blur="checkChanged"
                        />
                    </b-form-group>
                </div>

                <div>
                    <div class="form-content-title">
                        <b>Discount</b>
                    </div>
                    <b-form-group class="discount-container">
                        <InputNumber
                            v-model="data.automatic_discount_value"
                            custom-class="my-input my-short-input"
                            min="0"
                            max="99"
                            name="automatic_discount_value"
                            @blur="checkChanged"
                        />

                        <span>%</span>
                    </b-form-group>
                </div>
            </div>
            <div
                v-show="!data.automatic_discount_enabled"
                class="discount__help_text text-bold"
            >   
                <b>
                    <template v-if="$store.state.shop.discountLink"> 
                        Manage your discount codes here<br> <a
                            :href="$store.state.shop.discountLink"
                            target="_blank"
                        ><b>Shopify
                            Admin
                            panel</b></a>
                    </template>
                    <template v-else>
                        Manage your discount codes in Coupons section on Wix Dashboard
                    </template>
                </b>
            </div>
            <template v-if="data.automatic_discount_enabled">
                <div
                    class=""
                >
                    <div>
                        <div class="form-content-title">
                            <b>Discount</b>
                        </div>
                    </div>
                    <b-form-group class="discount-container">
                        <InputNumber
                            v-model="data.automatic_discount_value"
                            custom-class="my-input my-short-input"
                            min="0"
                            max="99"
                            name="automatic_discount_value"
                            @blur="checkChanged"
                        />
                        <span>%</span>
                    </b-form-group>
                </div>
                <div
                    class=" discount__help_text text-bold"
                >
                    <b>We will create a new discount code in your
                        store for you</b>
                </div>
            </template>
        </div>
    </div>
</template>

<script>
import InputNumber from '@/components/elements/InputNumber'

export default {
    components: {
        InputNumber
    },
    props: {
        data: {
            type: Object,
        },
        keyCodeName: {
            default: 'code',
        }
    },
    methods: {
        checkChanged(key) {
            this.$emit('checkChanged', key)
        },
    }
}
</script>

<style scoped lang="scss">
.discount__help_text {
    width: 100%;
    margin-top: 10px;
}
::v-deep .discount-container > div {
    display: flex;
    align-items: center;
}
.discount {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    &__type {
        width: 200px;
        max-width: calc(100% - 10px);
        margin-right: 15px
    }
    &__content {
        display: flex;
        align-items: center;
        input {
            min-width: 70px;
        }
    }
}
.form-group {
    margin-bottom: 0;
}
.form-content-title {
    white-space: nowrap;
}
</style>